import java.io.*;
import java.net.*;
import java.lang.reflect.*;

public class JEClassLoader {
  
  public static Class loadClass(String pathname, String filename) throws Exception {
    try {
      // create new class loader with pathname as classpath
      File path = new File(pathname);
      URL url = path.toURI().toURL();
      ClassLoader loader = new URLClassLoader(new URL[] {path.toURI().toURL()});
      
      // load class through new loader
      // return loader.loadClass(filename);
      Class aClass = loader.loadClass(filename);
      return aClass;
    } catch (Exception e) {
      throw new Exception("Error loading class " + pathname + filename);
    }
  }
}
 
